package de.intevation.gnv.math;

import com.vividsolutions.jts.geom.Coordinate;

/**
 * Instances of the implementation return a constant value.
 *
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public class ConstantXYDepth
implements   XYDepth
{
    /**
     * The constant depth.
     */
    protected double depth;

    /**
     * Default constructor. The constant depth = 0.
     */
    public ConstantXYDepth() {
    }

    /**
     * Construtor to create a ConstantXYDepth with a given depth.
     * @param depth The constant depth.
     */
    public ConstantXYDepth(double depth) {
        this.depth = depth;
    }

    public double depth(Coordinate coordinate) {
        return depth;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
